first, Let me say I have been hiding on this website for a long time and like it. The very first time, I seem like I have experienced an issue that has not been addressed on StackOverflow before, here goes.

I'm looking to get python to operate on my small 64-bit Wampserver install on Home windows 7. I've got a 64-bit version of python 2.7 running too. However, I can not look for a 64-bit version of mod_wsgi.so, that we seem to comprehend is things i need. Is exactly what I am attempting to do impossible?

You can always compile from source.

Even when you accomplish that you will need to get 64 bit apache too, since ASF does not ditribute 64 bit home windows binary. Are you certain you have 64 bit one installed?

Try:

http://www.lfd.uci.edu/%7Egohlke/pythonlibs/#mod_wsgi

You might want to use that Apache distribution though.